Uploaded image for project: 'Maven Surefire'
  1. Maven Surefire
  2. SUREFIRE-1282

Use assumeJavaVersion() in integration tests

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.20
    • Component/s: None
    • Labels:
      None

      Description

      Use statement
      assumeJavaVersion( javaVersion );
      instead of
      assumeThat( System.getProperty( "java.version" ), is( greaterThanOrEqualTo( javaVersion ) ) );
      and
      assumeThat( "java.specification.version: ", System.getProperty( "java.specification.version" ), is( greaterThanOrEqualTo( "1.7" ) ) );

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tibor17 Tibor Digana
                Reporter:
                tibor17 Tibor Digana
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: